#!/bin/sh

file_name=$(echo ~/Pictures/Screenshots/)
base_name=$(date +%F_%H-%M-%S)
base_name+=".png"

file_name+=$base_name

flameshot gui -r > $file_name

sftp -oPort=4242 gaudonpr@ftp.gaudon.pro << EOT
cd public_html/push.arisu.fr/
put $file_name
EOT

url="https://push.arisu.fr/"
url+=$base_name

echo $url | xclip -selection clipboard

notify-send "File upload complete" "$url" --icon=flameshot.svg
